std::default_sentinel_t Struct Reference

## Detailed Description

A sentinel type that can be used to check for the end of a range.

For some iterator types the past-the-end sentinel value is independent of the underlying sequence, and a default sentinel can be used with them. For example, a `std::counted_iterator` keeps a count of how many elements remain, and so checking for the past-the-end value only requires checking if that count has reached zero. A past-the-end `std::istream_iterator` is equal to the default-constructed value, which can be easily checked.

Comparing iterators of these types to `std::default_sentinel` is a convenient way to check if the end has been reached.

Since
  C++20

Definition at line 58 of file iterator_concepts.h.

The documentation for this struct was generated from the following file:

- iterator_concepts.h